Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface DiscreteSurfaceCoverage

All Superinterfaces:
  Coverage, DiscreteCoverage

    @UML(identifier="CV_DiscreteSurfaceCoverage",
         specification=ISO_19123)
    public interface DiscreteSurfaceCoverage

extends DiscreteCoverage

A coverage whose domain consists of a collection of surfaces. In most cases, the surfaces that constitute the domain of a coverage are mutually exclusive and exhaustively partition the extent of the coverage. Surfaces or their boundaries may be of any shape. The boundaries of component surfaces often correspond to natural phenomena and are highly irregular.

Example: A coverage that represents soil types typically has a spatial domain composed of surfaces with irregular boundaries.

Any set of polygons can be used as a spatial domain for a discrete surface coverage. Spatial domains composed of congruent polygons are very common. Very often, these domains are composed of congruent rectangles or regular hexagons. The geometry of such a tessellation may be described in terms of a quadrilateral grid or a hexagonal grid. The spatial domain of a discrete surface coverage may also consist of the triangles that compose a TIN, or the polygons of a Thiessen polygon network.

TODO:
  evaluate and evaluateInverse

Method Summary
`Set<SurfaceValuePair>` | `getElements()` Returns the set of surface-value pairs included in this coverage.
`ThiessenPolygonCoverage` | `getPolygonSource()` Returns the Thiessen polygon coverage associated to this surface coverage, or `null` if none.
`TinCoverage` | `getTriangleSource()` Returns the TIN coverage associated to this surface coverage, or `null` if none.
`Set<SurfaceValuePair>` | `list()` Returns the dictionary of surface-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.
`Set<SurfaceValuePair>` | `locate(DirectPosition p)` Returns the set of surface-value pairs that include the domain objects containing the specified direct position.

Methods inherited from interface DiscreteCoverage
`evaluate, evaluateInverse`

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluateInverse, find, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, select`

Method Detail

### getTriangleSource

    @UML(identifier="triangleSource",
         obligation=OPTIONAL,
         specification=ISO_19123)
    TinCoverage getTriangleSource()

  Returns the TIN coverage associated to this surface coverage, or `null` if none. The following constraint must hold:

  `element.geometry == triangleSource.controlValue.`geometry``

  TODO:
    Review the constraints. Something must be missing...

### getPolygonSource

    @UML(identifier="polygonSource",
         obligation=OPTIONAL,
         specification=ISO_19123)
    ThiessenPolygonCoverage getPolygonSource()

  Returns the Thiessen polygon coverage associated to this surface coverage, or `null` if none. The following constraint must hold:

  `element.geometry == polygonSource.controlValue.`geometry``

  TODO:
    Review the constraints. Something must be missing...

### getElements

    @UML(identifier="element",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<SurfaceValuePair> getElements()

  Returns the set of surface-value pairs included in this coverage.

  Specified by:
    `getElements` in interface `DiscreteCoverage`

### locate

    @UML(identifier="locate",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<SurfaceValuePair> locate(DirectPosition p)

  Returns the set of surface-value pairs that include the domain objects containing the specified direct position.

  Specified by:
    `locate` in interface `DiscreteCoverage`

### list

    @UML(identifier="list",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<SurfaceValuePair> list()

  Returns the dictionary of surface-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.

  Specified by:
    `list` in interface `Coverage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.